Page MenuHomePhabricator

Add throttle exception for Netherlands Hackathon October 2018 - Wiki Techstorm
Closed, ResolvedPublic

Description

Please add a throttle exception for https://www.mediawiki.org/wiki/Wiki_Techstorm to https://github.com/wikimedia/operations-mediawiki-config/blob/master/wmf-config/throttle.php
*from: 2018-10-25 05:00 UTC
*to: 2018-10-28 10:00 UTC
*range: 194.171.184.0/24
*dbname: all

Event Timeline

Ciell created this task.Oct 4 2018, 5:17 PM

@Ciell How many accounts creation do you except during this event ?

*dbname: all

We usually restrict the exception to a defined list of wikis (enwiki, wikidatawiki, commonswiki, ..). Is it possible to list them ?

Perhaps both of these values are the same as the previous request T194346, that would be 250 accounts and 'enwiki', 'nlwiki', 'commonswiki', 'wikidatawiki'wiki list.

Ciell added a comment.Oct 7 2018, 4:12 PM

I think that would perfectly fine. We'll have 65 people attending, so no more than a mere 120 accounts (personal + bots) will be created.

Urbanecm claimed this task.Oct 7 2018, 4:36 PM
Urbanecm triaged this task as Normal priority.
Urbanecm added a subscriber: Urbanecm.

Recapitulation:

  • From 2018-10-25T05:00 UTC
  • To 2018-10-28T10:00
  • Wikis: enwiki, nlwiki, commonswiki, wikidatawiki
  • Range: 194.171.184.0/24
Restricted Application added a project: User-Urbanecm. · View Herald TranscriptOct 7 2018, 4:36 PM

Change 465047 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] Add throttle exception for Netherlands Hackathon October 2018 - Wiki Techstorm

https://gerrit.wikimedia.org/r/465047

Change 465047 merged by jenkins-bot:
[operations/mediawiki-config@master] Add throttle exception for Netherlands Hackathon October 2018 - Wiki Techstorm

https://gerrit.wikimedia.org/r/465047

Mentioned in SAL (#wikimedia-operations) [2018-10-08T11:45:04Z] <addshore@deploy1001> Synchronized wmf-config/throttle.php: Add throttle exception for Netherlands Hackathon October 2018 - Wiki Techstorm T206241, and remove other rules. (duration: 00m 56s)

Urbanecm closed this task as Resolved.Oct 10 2018, 11:13 AM
Husky moved this task from Backlog to Done on the Wikistorm board.Oct 27 2018, 8:35 AM